Subject: bug#9312: 24.0.50; smtpmail

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 10 Sep 2011 20:43:32 +0200

Glenn Morris <[email-masked]> writes:

>> 250 CHUNKING
>>
>> Process smtpmail connection broken by remote peer
>> MAIL FROM:<[email-masked]> SIZE=365
>> 530 5.7.1 Client was not authenticated
>> QUIT
>
> Sorry, I think you need the help of someone who speaks smtp (Lars?).
> It looks to me like this is a case (530) that should be handled.
> It should try again, but this time asking you for a password
> to authenticate to your smtp server. I can't see why it errors out.

smtpmail.el does the following on MAIL FROM:

	       ((and auth-mechanisms
		     (not ask-for-password)
		     (eq (car result) 530))
		;; We got a "530 auth required", so we close and try
		;; again, this time asking the user for a password.
		(smtpmail-send-command process "QUIT")
		(smtpmail-read-response process)

So it should ask for a password if the server has announced a
willingness to accept auth.

Which it has:

250-AUTH GSSAPI NTLM LOGIN

So I don't understand what's going on here.

Emacs User, could you try to edebug through `smtpmail-via-smtp' and see
what happens when you send an email?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/